package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 税收违法
 * </p>
 *
 * @author liutao
 * @since 2023-12-05
 */
@TableName("tax_illegal_data")
public class TaxIllegalData {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;

    /**
     * c端 企业信息id
     */
    @TableField("c_enterprise_id")
    private Long cEnterpriseId;

    /**
     * sop端 税收违法明细id
     */
    @TableField("c_tax_illegal_data_id")
    private Long cTaxIllegalDataId;

    /**
     * 发布日期，精确到天，如“2022-01-01”
     */
    @TableField("punish_date")
    private String punishDate;

    /**
     * 案件性质
     */
    @TableField("case_nature")
    private String caseNature;

    /**
     * 所属税务机关
     */
    @TableField("tax_gov")
    private String taxGov;

    /**
     * 主要违法事实
     */
    @TableField("illegal_content")
    private String illegalContent;

    /**
     * 法律依据及处理处罚情况
     */
    @TableField("punish_content")
    private String punishContent;

    /**
     * 税收违法 0 否 1 是
     */
    @TableField("tax_illegal")
    private Integer taxIllegal;

    /**
     * 视频尽调-税收违法 0 否 1 是
     */
    @TableField("video_due_diligence_tax_illegal")
    private Integer videoDueDiligenceTaxIllegal;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }
    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }
    public Long getcTaxIllegalDataId() {
        return cTaxIllegalDataId;
    }

    public void setcTaxIllegalDataId(Long cTaxIllegalDataId) {
        this.cTaxIllegalDataId = cTaxIllegalDataId;
    }
    public String getPunishDate() {
        return punishDate;
    }

    public void setPunishDate(String punishDate) {
        this.punishDate = punishDate;
    }
    public String getCaseNature() {
        return caseNature;
    }

    public void setCaseNature(String caseNature) {
        this.caseNature = caseNature;
    }
    public String getTaxGov() {
        return taxGov;
    }

    public void setTaxGov(String taxGov) {
        this.taxGov = taxGov;
    }
    public String getIllegalContent() {
        return illegalContent;
    }

    public void setIllegalContent(String illegalContent) {
        this.illegalContent = illegalContent;
    }
    public String getPunishContent() {
        return punishContent;
    }

    public void setPunishContent(String punishContent) {
        this.punishContent = punishContent;
    }
    public Integer getTaxIllegal() {
        return taxIllegal;
    }

    public void setTaxIllegal(Integer taxIllegal) {
        this.taxIllegal = taxIllegal;
    }
    public Integer getVideoDueDiligenceTaxIllegal() {
        return videoDueDiligenceTaxIllegal;
    }

    public void setVideoDueDiligenceTaxIllegal(Integer videoDueDiligenceTaxIllegal) {
        this.videoDueDiligenceTaxIllegal = videoDueDiligenceTaxIllegal;
    }

    @Override
    public String toString() {
        return "TaxIllegalData{" +
            "cSupplierInfoId=" + cSupplierInfoId +
            ", cEnterpriseId=" + cEnterpriseId +
            ", cTaxIllegalDataId=" + cTaxIllegalDataId +
            ", punishDate=" + punishDate +
            ", caseNature=" + caseNature +
            ", taxGov=" + taxGov +
            ", illegalContent=" + illegalContent +
            ", punishContent=" + punishContent +
            ", taxIllegal=" + taxIllegal +
            ", videoDueDiligenceTaxIllegal=" + videoDueDiligenceTaxIllegal +
        "}";
    }
}
